Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List push tokens

GET/workspaces/{organizationId}/push-tokens
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Responses
200

Push tokens list

tokensobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
userIdstringrequired
namestring | nullrequired
providerstringrequired
Allowed:fcmapnsexpo
tokenstringrequired
createdAtstringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/push-tokens' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "tokens": [
    {
      "id": "string",
      "organizationId": "string",
      "userId": "string",
      "name": "string",
      "provider": "fcm",
      "token": "string",
      "createdAt": "string"
    }
  ]
}

Was this page helpful?